Bug 1815142 - Background image on lock screen not scaling properly.
Summary: Background image on lock screen not scaling properly.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 32
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1818541 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-19 15:15 UTC by Ethan Soucy
Modified: 2021-05-25 17:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 17:54:49 UTC
Type: Bug


Attachments (Terms of Use)
Lock screen showing background only applied to top-left of screen. (2.06 MB, image/jpeg)
2020-03-19 15:15 UTC, Ethan Soucy
no flags Details

Description Ethan Soucy 2020-03-19 15:15:06 UTC
Created attachment 1671485 [details]
Lock screen showing background only applied to top-left of screen.

Description of problem: When scaling is set to any value other than 100% the blurred background image on the lock screen is squished into the top-left corner of the screen.


Version-Release number of selected component (if applicable): Fedora 32 Beta, gnome-shell 3.36.0


How reproducible: Lock the screen with scaling set to a value other than 100%.


Steps to Reproduce:
1. Set display scaling to value not equal to 100%
2. Lock screen

Actual results: Background image is shrunken into the top-left corner of the screen.


Expected results: Background image should cover the entire background in the lock screen.


Additional info: None of the other background or lock screen adjustments change the outcome. Switching between stretched, spanned, centered, etc doesn't fix the issue.

Comment 1 Ethan Soucy 2020-03-19 17:17:30 UTC
This only occurs with fractional-scaling enabled via command:
gsettings set org.gnome.mutter experimental-features "['scale-monitor-framebuffer']"

Comment 2 Patrik Martinsson 2020-03-29 06:02:05 UTC
*** Bug 1818541 has been marked as a duplicate of this bug. ***

Comment 3 Patrik Martinsson 2020-03-29 06:03:25 UTC
I can confirm this problem, also reported https://bugzilla.redhat.com/show_bug.cgi?id=1818541 before I found this.

Comment 4 Patrik Martinsson 2020-04-01 11:48:10 UTC
This is being tracked and worked on here https://gitlab.gnome.org/GNOME/gnome-shell/issues/2239

With gnome-shell-3.36.1-2.fc32.x86_64 this particular issue is fixed.

Comment 5 Fedora Program Management 2021-04-29 17:09:38 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2021-05-25 17:54:49 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.